Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2791243002: Rewrite base::Bind into base::BindOnce on trivial cases in base (Closed)

Created:
2 years, 5 months ago by tzik
Modified:
2 years, 5 months ago
Reviewers:
gab, fdoray, dcheng
CC:
chromium-reviews, sadrul, vmpstr+watch_chromium.org, tfarina, robliao+watch_chromium.org, gavinp+memory_chromium.org, fdoray+watch_chromium.org, asvitkine+watch_chromium.org, wfh+watch_chromium.org, tracing+reviews_chromium.org, gab+watch_chromium.org, danakj+watch_chromium.org, chirantan+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Rewrite base::Bind into base::BindOnce on trivial cases in base This CL is generated by a clang refactoring tool updated in http://crrev.com/2789153002/, that rewrites base::Bind into base::BindOnce where the resulting base::Callback is converted into base::OnceCallback immediately after base::Bind call. Review-Url: https://codereview.chromium.org/2791243002 Cr-Commit-Position: refs/heads/master@{#463631} Committed: https://chromium.googlesource.com/chromium/src/+/92b7a42d1fa69917d19ec389a0cd254328920c7a

Patch Set 1 #

Total comments: 4

Patch Set 2 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+638 lines, -604 lines) Patch
M base/debug/activity_tracker.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/debug/activity_tracker_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/debug/task_annotator_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/deferred_sequenced_task_runner_unittest.cc View 3 chunks +14 lines, -13 lines 0 comments Download
M base/files/file_descriptor_watcher_posix.cc View 3 chunks +5 lines, -5 lines 0 comments Download
M base/files/file_path_watcher_linux.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M base/files/file_path_watcher_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/files/file_proxy.cc View 9 chunks +24 lines, -28 lines 0 comments Download
M base/files/file_util_proxy.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M base/files/important_file_writer_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/memory/weak_ptr_unittest.cc View 8 chunks +15 lines, -13 lines 0 comments Download
M base/message_loop/message_loop_task_runner_unittest.cc View 8 chunks +15 lines, -15 lines 0 comments Download
M base/message_loop/message_loop_test.cc View 30 chunks +102 lines, -87 lines 0 comments Download
M base/message_loop/message_loop_unittest.cc View 5 chunks +11 lines, -10 lines 0 comments Download
M base/message_loop/message_pump_glib_unittest.cc View 11 chunks +23 lines, -22 lines 0 comments Download
M base/message_loop/message_pump_libevent_unittest.cc View 4 chunks +6 lines, -6 lines 0 comments Download
M base/message_loop/message_pump_perftest.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M base/metrics/user_metrics.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/observer_list_threadsafe.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M base/observer_list_unittest.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M base/posix/unix_domain_socket_linux_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M base/process/process_metrics_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M base/run_loop_unittest.cc View 4 chunks +14 lines, -14 lines 0 comments Download
M base/sequence_checker_unittest.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M base/sequenced_task_runner.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/sequenced_task_runner_unittest.cc View 1 chunk +3 lines, -7 lines 0 comments Download
M base/synchronization/atomic_flag_unittest.cc View 3 chunks +7 lines, -9 lines 0 comments Download
M base/synchronization/condition_variable_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/task/cancelable_task_tracker.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M base/task/cancelable_task_tracker_unittest.cc View 4 chunks +11 lines, -9 lines 0 comments Download
M base/task_runner_util.h View 1 chunk +5 lines, -4 lines 0 comments Download
M base/task_scheduler/delayed_task_manager.cc View 1 1 chunk +2 lines, -1 line 0 comments Download
M base/task_scheduler/scheduler_single_thread_task_runner_manager_unittest.cc View 8 chunks +25 lines, -19 lines 0 comments Download
M base/task_scheduler/scheduler_worker_pool_impl_unittest.cc View 1 10 chunks +22 lines, -21 lines 0 comments Download
M base/task_scheduler/scheduler_worker_unittest.cc View 2 chunks +6 lines, -5 lines 0 comments Download
M base/task_scheduler/task_scheduler_impl_unittest.cc View 4 chunks +7 lines, -7 lines 0 comments Download
M base/task_scheduler/task_tracker_unittest.cc View 1 5 chunks +9 lines, -7 lines 0 comments Download
M base/task_scheduler/task_unittest.cc View 4 chunks +6 lines, -6 lines 0 comments Download
M base/task_scheduler/test_task_factory.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/launcher/test_launcher.cc View 6 chunks +13 lines, -13 lines 0 comments Download
M base/test/launcher/unit_test_launcher.cc View 2 chunks +6 lines, -5 lines 0 comments Download
M base/test/scoped_mock_time_message_loop_task_runner.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/test/scoped_task_scheduler.cc View 1 1 chunk +3 lines, -2 lines 0 comments Download
M base/test/scoped_task_scheduler_unittest.cc View 13 chunks +45 lines, -38 lines 0 comments Download
M base/test/thread_test_helper.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/threading/post_task_and_reply_impl.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M base/threading/post_task_and_reply_impl_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M base/threading/sequenced_task_runner_handle_unittest.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M base/threading/sequenced_worker_pool_unittest.cc View 21 chunks +59 lines, -73 lines 0 comments Download
M base/threading/thread.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/threading/thread_perftest.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M base/threading/thread_unittest.cc View 10 chunks +24 lines, -20 lines 0 comments Download
M base/threading/worker_pool_unittest.cc View 2 chunks +9 lines, -10 lines 0 comments Download
M base/timer/timer.cc View 1 chunk +6 lines, -3 lines 0 comments Download
M base/trace_event/memory_dump_manager.cc View 1 4 chunks +10 lines, -8 lines 0 comments Download
M base/trace_event/memory_dump_manager_unittest.cc View 1 4 chunks +8 lines, -8 lines 0 comments Download
M base/trace_event/memory_dump_scheduler.cc View 4 chunks +7 lines, -6 lines 0 comments Download
M base/trace_event/trace_category_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_event_system_stats_monitor.cc View 1 chunk +4 lines, -6 lines 0 comments Download
M base/trace_event/trace_event_unittest.cc View 11 chunks +24 lines, -19 lines 0 comments Download
M base/trace_event/trace_log.cc View 5 chunks +20 lines, -18 lines 0 comments Download

Messages

Total messages: 23 (15 generated)
tzik
PTAL
2 years, 5 months ago (2017-04-05 10:46:33 UTC) #7
chromium-reviews
drive-by nit: add BUG= to the CL description with a bug id that tracks this ...
2 years, 5 months ago (2017-04-05 14:28:54 UTC) #8
dcheng
LGTM (But please add a BUG= line for tracking purposes, as mentioned by alexclarke@) https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc ...
2 years, 5 months ago (2017-04-05 16:49:50 UTC) #9
gab
+fdoray for question below https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc File base/sequence_checker_unittest.cc (right): https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc#newcode254 base/sequence_checker_unittest.cc:254: base::BindOnce(&ExpectNotCalledOnValidSequence, On 2017/04/05 16:49:50, dcheng ...
2 years, 5 months ago (2017-04-06 15:08:47 UTC) #11
fdoray
https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc File base/sequence_checker_unittest.cc (right): https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc#newcode254 base/sequence_checker_unittest.cc:254: base::BindOnce(&ExpectNotCalledOnValidSequence, On 2017/04/06 15:08:47, gab wrote: > On 2017/04/05 ...
2 years, 5 months ago (2017-04-06 15:42:37 UTC) #12
tzik
https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc File base/sequence_checker_unittest.cc (right): https://codereview.chromium.org/2791243002/diff/1/base/sequence_checker_unittest.cc#newcode254 base/sequence_checker_unittest.cc:254: base::BindOnce(&ExpectNotCalledOnValidSequence, On 2017/04/06 15:42:37, fdoray wrote: > On 2017/04/06 ...
2 years, 5 months ago (2017-04-11 12:15:02 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2791243002/20001
2 years, 5 months ago (2017-04-11 14:51:43 UTC) #20
commit-bot: I haz the power
2 years, 5 months ago (2017-04-11 15:01:59 UTC) #23
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/92b7a42d1fa69917d19ec389a0cd...

Powered by Google App Engine
This is Rietveld 408576698